curl -X GET 'https://api.tolt.com/v1/customers?program_id=prg_YRsbPDAKhWfdqJbFACheh' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
curl -X GET 'https://api.tolt.com/v1/customers?program_id=prg_YRsbPDAKhWfdqJbFACheh&expand[]=partner&expand[]=program' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
{
"success": true,
"has_more": true,
"total_count": 85,
"data": {
"data": [
{
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@example.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
]
}
}
{
"success": true,
"has_more": true,
"total_count": 85,
"data": {
"data": [
{
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@example.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T15:00:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
}
}
]
}
}
Customers
List Customers
This endpoint lists all customers.
GET
/
v1
/
customers
curl -X GET 'https://api.tolt.com/v1/customers?program_id=prg_YRsbPDAKhWfdqJbFACheh' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
curl -X GET 'https://api.tolt.com/v1/customers?program_id=prg_YRsbPDAKhWfdqJbFACheh&expand[]=partner&expand[]=program' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
{
"success": true,
"has_more": true,
"total_count": 85,
"data": {
"data": [
{
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@example.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
]
}
}
{
"success": true,
"has_more": true,
"total_count": 85,
"data": {
"data": [
{
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@example.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T15:00:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
}
}
]
}
}
Base URL https://api.tolt.com
Query Parameters
string
The program ID from where you want to list the customers.
string - optional
Only return customers referred by this partner.
string - optional
Filter customers by email. Partial matches are supported.
asc | desc - optional
The order of the customers to return by created_at. Default is desc.
string - optional
Filter customers by status. Valid values are: ‘lead’, ‘trialing’, ‘active’,
‘canceled’
array - optional
Specify which related objects to include in the response. Valid values are
‘partner’ and ‘program’. Use expand[]=partner or
expand[]=program to include the related objects.
string - optional
Only return customers created after this date.
string - optional
Only return customers created before this date.
string - optional
A limit on the number of customers to return. Default is 10, max is 100.
string - optional
A cursor for use in pagination. starting_after is an object ID that defines
your place in the list. The value of the starting_after parameter is the
customer ID. To receive the next page use the last customer ID from the
previous page.
string - optional
A cursor for use in pagination. ending_before is an object ID that defines
your place in the list. The value of the ending_before parameter is the
customer ID. To receive the previous page use the first customer ID from the
previous page.
Response
boolean
Whether the request was successful
boolean
Whether there are more pages of results available
integer
Total number of customers matching the query
object{object}
Hide properties
Hide properties
array[object]
Show properties
Show properties
string
Unique identifier for the customer,
uuid or prefixed with cust_string
Your unique identifier for the customer
string
ID of the referring partner
string
Customer’s name
string
Your internal customer identifier
string
ISO 8601 timestamp of when the customer was created
string
ISO 8601 timestamp of when the customer became active
string
Current status of the customer. Valid values are: ‘lead’, ‘trialing’, ‘active’,
‘canceled’
string
Program ID the customer belongs to
string
Organization ID
object
Show partner
Show partner
Partner details when expanded:
string
Unique identifier for the partner
string
Partner’s first name
string
Partner’s last name
string
Partner’s email address
string
Partner’s company name
string
Partner’s status. Valid values are: ‘active’, ‘pending’, ‘suspended’, ‘rejected’.
string
ISO 8601 timestamp of when the partner was created
curl -X GET 'https://api.tolt.com/v1/customers?program_id=prg_YRsbPDAKhWfdqJbFACheh' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
curl -X GET 'https://api.tolt.com/v1/customers?program_id=prg_YRsbPDAKhWfdqJbFACheh&expand[]=partner&expand[]=program' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d ''
{
"success": true,
"has_more": true,
"total_count": 85,
"data": {
"data": [
{
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@example.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
]
}
}
{
"success": true,
"has_more": true,
"total_count": 85,
"data": {
"data": [
{
"id": "cust_dK9bzRGn46BhVgNFHD6fDgXW",
"email": "customer@example.com",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"name": "Jim Halpert",
"customer_id": "jim_halpert_789",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T15:00:00.000Z",
"status": "active",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
}
}
]
}
}

